<%@ Import Namespace="System.Security.Principal" %>

<Script runat="server">
  Public Sub Page_Load(sender As Object, e As EventArgs)
    lblIdentity.Text = WindowsIdentity.GetCurrent().Name
  End Sub
</Script>
Current identity is: <asp:label id="lblIdentity" runat="server" />